name: margin
type: object
meta:
    label: { de: "Abstand nach außen (Margin)", en: "Distance to the outside (Margin)" }
subFields:
    - name: top
      type: string
      meta:
          widget: select
          label:
              de: Abstand nach Oben
              en: Margin Top
          choices:
              - { id: "", name: "-" }
              - { id: "mt-xs", name: "Sehr kleiner Abstand" }
              - { id: "mt-sm", name: "Kleiner Abstand" }
              - { id: "mt-md", name: "Normal" }
              - { id: "mt-lg", name: "Großer Abstand" }
              - { id: "mt-xl", name: "Sehr großer Abstand" }
    - name: right
      type: string
      meta:
          widget: select
          label:
              de: Abstand nach Rechts
              en: Margin Right
          choices:
              - { id: "", name: "-" }
              - { id: "mr-xs", name: "Sehr kleiner Abstand" }
              - { id: "mr-sm", name: "Kleiner Abstand" }
              - { id: "mr-md", name: "Normal" }
              - { id: "mr-lg", name: "Großer Abstand" }
              - { id: "mr-xl", name: "Sehr großer Abstand" }
    - name: bottom
      type: string
      meta:
          widget: select
          label:
              de: Abstand nach Unten
              en: Margin Bottom
          choices:
              - { id: "", name: "-" }
              - { id: "mb-xs", name: "Sehr kleiner Abstand" }
              - { id: "mb-sm", name: "Kleiner Abstand" }
              - { id: "mb-md", name: "Normal" }
              - { id: "mb-lg", name: "Großer Abstand" }
              - { id: "mb-xl", name: "Sehr großer Abstand" }
    - name: left
      type: string
      meta:
          widget: select
          label:
              de: Abstand nach Links
              en: Margin Left
          choices:
              - { id: "", name: "-" }
              - { id: "ml-xs", name: "Sehr kleiner Abstand" }
              - { id: "ml-sm", name: "Kleiner Abstand" }
              - { id: "ml-md", name: "Normal" }
              - { id: "ml-lg", name: "Großer Abstand" }
              - { id: "ml-xl", name: "Sehr großer Abstand" }
